import express, {Request, Response} from 'express';
import {model, Schema, HydratedDocument, Types} from 'mongoose';

const router = express.Router();

interface ICategory {
	name: string;
	description: string;
}

const Category = model<ICategory>(
	'Category',
	new Schema({
		name: {
			type: String,
			required: true,
		},
		description: {
			type: String,
			required: false,
		},
	})
);

router.get('/', async (req: Request, res: Response) => {});

router.post('/', async (req: Request, res: Response) => {});

export {router as categoryRouter};
